## pangoterm 0~bzr613

=== Makefile ===
ifeq ($(shell uname),Darwin)
    LIBTOOL ?= glibtool
else
    LIBTOOL ?= libtool
endif

ifneq ($(VERBOSE),1)
    LIBTOOL +=--quiet
endif

CFLAGS  +=-Wall -Iinclude -std=c99 -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DGSEAL_ENABLE -DGTK_DISABLE_SINGLE_INCLUDES
LDFLAGS +=-lutil

ifeq ($(DEBUG),1)
  CFLAGS +=-ggdb -DDEBUG
endif

ifeq ($(PROFILE),1)
  CFLAGS +=-pg
  LDFLAGS+=-pg
endif

CFLAGS  +=$(shell pkg-config --cflags vterm)
LDFLAGS +=$(shell pkg-config --libs   vterm)

CFLAGS  +=$(shell pkg-config --cflags gtk+-2.0)
LDFLAGS +=$(shell pkg-config --libs   gtk+-2.0)

CFLAGS  +=$(shell pkg-config --cflags cairo)
LDFLAGS +=$(shell pkg-config --libs   cairo)

PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share

CFLAGS+=-DPANGOTERM_SHAREDIR="\"$(SHAREDIR)\""

HFILES=$(wildcard *.h)
CFILES=$(wildcard *.c)
OBJECTS=$(CFILES:.c=.lo)

all: pangoterm

pangoterm: $(OBJECTS)
	@echo LINK $@
	@$(LIBTOOL) --mode=link --tag=CC $(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)

%.lo: %.c $(HFILES)
	@echo CC $<
	@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(CFLAGS) -o $@ -c $<

.PHONY: clean
clean:
	$(LIBTOOL) --mode=clean rm -f $(OBJECTS)
	$(LIBTOOL) --mode=clean rm -f pangoterm

.PHONY: install
install: install-bin install-share

# rm the old binary first in case it's still in use
install-bin: pangoterm
	install -d $(DESTDIR)$(BINDIR)
	$(LIBTOOL) --mode=install cp --remove-destination pangoterm $(DESTDIR)$(BINDIR)/pangoterm

install-share:
	install -d $(DESTDIR)$(SHAREDIR)/pixmaps
	$(LIBTOOL) --mode=install cp pangoterm.svg $(DESTDIR)$(SHAREDIR)/pixmaps/
	install -d $(DESTDIR)$(SHAREDIR)/applications
	$(LIBTOOL) --mode=install cp pangoterm.desktop $(DESTDIR)$(SHAREDIR)/applications/

# DIST CUT

VERSION=0

DISTDIR=pangoterm-$(VERSION)

distdir:
	mkdir __distdir
	cp LICENSE __distdir
	cp *.c *.h __distdir
	cp pangoterm.svg pangoterm.desktop pangoterm.cfg __distdir
	sed "/^# DIST CUT/Q" <Makefile >__distdir/Makefile
	mv __distdir $(DISTDIR)

TARBALL=$(DISTDIR).tar.gz

dist: distdir
	tar -czf $(TARBALL) $(DISTDIR)
	rm -rf $(DISTDIR)

dist+bzr:
	$(MAKE) dist VERSION=$(VERSION)+bzr`bzr revno`

distdir+bzr:
	$(MAKE) distdir VERSION=$(VERSION)+bzr`bzr revno`

## pangoterm 0~bzr607

=== debian/changelog ===
pangoterm (0~bzr607-2) unstable; urgency=medium

  * control: Change Vcs-* to salsa.debian.org
  * Bump debhelper compat to 11
  * control: Declare compliance with Policy 4.1.3
  * rules: Remove unnecessary dbgsym migration

 -- James McCoy <jamessan@debian.org>  Sat, 17 Mar 2018 21:22:37 -0400

pangoterm (0~bzr607-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream snapshot
    + Bump libvterm Build-Depends to >= 0~bzr713 for focus reporting
  * Switch to automatic debug package
  * Set Rules-Requires-Root to no
  * Change Priority to optional
  * Bump debhelper compat to 10
  * Declare compliance with Policy 4.1.1

 -- James McCoy <jamessan@debian.org>  Sun, 12 Nov 2017 13:15:47 -0500

pangoterm (0~bzr593-1) experimental; urgency=medium

  * New upstream release
    + Bump libvterm Build-Depends to >= 0~bzr650 for bracketed paste support.

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 23:23:07 -0500

pangoterm (0~bzr572-1) experimental; urgency=medium

  * Fix Vcs-* URLs
  * New upstream snapshot

 -- James McCoy <jamessan@debian.org>  Wed, 25 Feb 2015 21:42:45 -0500

pangoterm (0~bzr560-2) experimental; urgency=medium

  * Only use non-portable termios flags if they're defined.
  * Pass --as-needed to the linker to avoid unnecessary dependencies.
  * Add pangoterm as an x-terminal-emulator alternative.

 -- James McCoy <jamessan@debian.org>  Thu, 01 Jan 2015 18:21:23 -0500

pangoterm (0~bzr560-1) experimental; urgency=low

  * Initial release (Closes: #740398)

 -- James McCoy <jamessan@debian.org>  Thu, 11 Dec 2014 22:27:15 -0500

=== debian/control ===
Source: pangoterm
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 11), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0~bzr713)
Standards-Version: 4.1.3
Section: x11
Rules-Requires-Root: no
Homepage: http://www.leonerd.org.uk/code/pangoterm/
Vcs-Git: https://salsa.debian.org/jamessan/pangoterm.git
Vcs-Browser: https://salsa.debian.org/jamessan/pangoterm

Package: pangoterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK/Pango-based terminal
 A minimal GTK/Pango-based terminal which that uses libvterm to provide
 terminal emulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed
export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp install

## pangoterm 0~bzr613

=== debian/changelog ===
pangoterm (0~bzr613-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:05:41 -0500

pangoterm (0~bzr613-1) unstable; urgency=medium

  * New upstream snapshot
    + Set $COLORTERM=truecolor
    + Set $WINDOWID
    + Support for libvterm 0.1 API
  * control:
    + Bump libvterm Build-Depends to >= 0.1
  * rules:
    + Add handling for DEB_BUILD_OPTIONS=terse
    + Use dh_missing --fail-missing
    + Smuggle $CPPFLAGS through $CFLAGS
  * Update to debhelper 12, via Build-Depends on debhelper-compat (= 12)
  * Declare compliance with Policy 4.4.0
  * Bump copyright years

 -- James McCoy <jamessan@debian.org>  Sat, 21 Sep 2019 20:44:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pangoterm
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0~bzr713)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0.1)
+Standards-Version: 4.4.0
 Section: x11
 Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/pangoterm/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed
CFLAGS += $(CPPFLAGS)
export CFLAGS LDFLAGS

V=VERBOSE=1
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	V=VERBOSE=0
endif

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) $(V) PREFIX=/usr

override_dh_auto_install-arch:
	$(MAKE) $(V) PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp install

override_dh_missing:
	dh_missing --fail-missing
